> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plungeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP run tools

> List the namespaced tools (`mcp__<server>__<tool>`) of an open MCP run.


## OpenAPI

```yaml openapi.json get /v1/mcp/runs/{id}/tools
openapi: 3.1.0
info:
  title: Ocean One API
  version: 2.1.0
servers:
  - url: https://api.plungeai.com
paths:
  /v1/mcp/runs/{id}/tools:
    get:
      summary: List an MCP run's namespaced tools
      security:
        - ozkBearer: []
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Tool table
          content:
            application/json:
              schema:
                type: object
                properties:
                  tools:
                    type: array
                    items:
                      $ref: "#/components/schemas/McpRunTool"
                  count:
                    type: integer
components:
  schemas:
    McpRunTool:
      type: object
      description: Namespaced tool descriptor for an outbound MCP run (mcp-executor).
      properties:
        name:
          type: string
          description: Namespaced as mcp__<server>__<tool>
        description:
          type: string
        input_schema:
          type: object
          description: JSON Schema for the tool arguments
      required:
        - name
        - description
        - input_schema
  securitySchemes:
    ozkBearer:
      type: http
      scheme: bearer
      description: "ozk_ platform API key (Authorization: Bearer ozk_…)"
```
